[toolchain]: switch to binutils 2.20.1 (except for avr32 and ubicom32)
[openwrt/svn-archive/archive.git] / toolchain / binutils / Config.in
1 # Choose binutils version.
2
3 choice
4 prompt "Binutils Version" if TOOLCHAINOPTS
5 default BINUTILS_VERSION_2_19_1 if (avr32 || ubicom32)
6 default BINUTILS_VERSION_2_20_1
7 help
8 Select the version of binutils you wish to use.
9
10 config BINUTILS_VERSION_2_19_1
11 bool "binutils 2.19.1"
12
13 config BINUTILS_VERSION_2_20_1
14 depends !avr32
15 depends !ubicom32
16 bool "binutils 2.20.1"
17
18 config BINUTILS_VERSION_CS
19 depends !avr32
20 depends !ubicom32
21 depends BROKEN
22 bool "binutils 2.19.1+20090205 with CodeSourcery enhancements"
23
24 endchoice
25
26 config EXTRA_BINUTILS_CONFIG_OPTIONS
27 string
28 prompt "Additional binutils configure options" if TOOLCHAINOPTS
29 default ""
30 help
31 Any additional binutils options you may want to include....
32
33 config BINUTILS_VERSION
34 string
35 prompt "Binutils Version" if (TOOLCHAINOPTS && NULL)
36 default "2.19.1" if BINUTILS_VERSION_2_19_1
37 default "2.20.1" if BINUTILS_VERSION_2_20_1
38 default "2.19.1+cs" if BINUTILS_VERSION_CS
39 default "2.19.1" if (avr32 || ubicom32)
40 default "2.20.1"